package com.ruoyi.oa.service;


import com.ruoyi.oa.domain.bo.OaFollowUpRecordAddBo;
import com.ruoyi.oa.domain.vo.OaFollowUpRecordQueryVo;
import com.ruoyi.oa.domain.vo.OaFollowUpRecordVo;
import com.ruoyi.oa.domain.bo.OaFollowUpRecordBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * CRM 跟进记录Service接口
 *
 * @author ruoyi
 * @date 2025-03-12
 */
public interface IOaFollowUpRecordService {

    /**
     * 查询CRM 跟进记录
     */
    OaFollowUpRecordVo queryById(Long followId);

    /**
     * 查询CRM 跟进记录列表
     */
    TableDataInfo<OaFollowUpRecordVo> queryPageList(OaFollowUpRecordBo bo, PageQuery pageQuery);

    /**
     * 查询CRM 跟进记录列表
     */
    List<OaFollowUpRecordVo> queryList(OaFollowUpRecordBo bo);

    /**
     * 新增CRM 跟进记录
     */
    Boolean insertByBo(OaFollowUpRecordBo bo);

    /**
     * 修改CRM 跟进记录
     */
    Boolean updateByBo(OaFollowUpRecordBo bo);

    /**
     * 校验并批量删除CRM 跟进记录信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<OaFollowUpRecordVo> selectByBusinessIds(Collection<Long> list);

    OaFollowUpRecordQueryVo selectByCustomerId(Long customerId);

    Boolean insertByAddBo(OaFollowUpRecordAddBo bo);
}
